## debian-edu-install 0.632

=== Makefile ===
#
# Install file for Skolelinux debconf override package
#

INSTALL     = install
INSTALL_DATA= install -m 644

libdir      = /usr/lib
baseconfdir = $(libdir)/base-config
templatedir = /usr/share/debconf/templates
pkglibdir   = $(libdir)/debian-edu-install
sbindir     = /usr/sbin
sysconfdir  = /etc

FRAGMENTS = 06debian-edu-questions 07debian-edu \
	11debian-edu-auto 16debian-edu-interactive \
	21debian-edu-auto 25debian-edu-insert-cd \
	60_avoid_pkgsel 65debian-edu-inst 76debian-edu-config \
	85debian-edu 87debian-edu-check \
	88debian-edu-reporterr 98debian-edu-startkdm

COMMON    = debian-edu-common

SBINFILES = \
	debconf-load-defaults \
	debconf-save-answers \
	debconf-set-frontend \
	dpkg-selectforinstall \
	lvm-initialize-debian-edu

# Created using 'file * */*|grep Bourne|cut -d: -f1'
SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone standalone-extras

all: check
check: check-defaults check-scripts check-autopartkit

install: 
	for b in $(FRAGMENTS); do \
	    $(INSTALL) base-config/$$b $(DESTDIR)$(baseconfdir)/$$b; \
	    chmod a+rx $(DESTDIR)$(baseconfdir)/$$b; \
	    if test -e base-config/$$b.templates; then \
		$(INSTALL_DATA) base-config/$$b.templates \
			$(DESTDIR)$(templatedir)/$$b.templates; \
	    fi; \
	done
	mkdir -p $(DESTDIR)/$(baseconfdir)/menu
	cp base-config/menu/*.mnu $(DESTDIR)/$(baseconfdir)/menu
	for lnk in base-config/menu/*.lnk; do \
	    base=`basename $$lnk .lnk`; \
	    ln -s `cat $$lnk` $(DESTDIR)/$(baseconfdir)/menu/$$base; \
	done
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) base-config/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
	done
	for file in $(COMMON) ; do \
	    $(INSTALL_DATA) base-config/$$file $(DESTDIR)$(pkglibdir)/; \
	done
	for fil in $(SBINFILES); do \
	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
	done

debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

.PHONY: profile-demo
profile-demo: debian-edu-profile.templates
	chmod a+x ./debian-edu-profile
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
	rm -f debian-edu-profile.templates

check-defaults:
	for profile in $(DEFAULTS) ; do \
	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
	done
check-autopartkit:
	for f in autopartkit/*.table ;do \
	    ./tools/autopartkit-check.pl $$f 256; \
	done

# Detect typos in /bin/sh scripts
check-scripts:
	for script in $(SCRIPTS) ; do \
		ash -n $$script ; \
	done
dist:
	debuild -us -uc

clean:
	$(RM) *~

=== debian/changelog ===
debian-edu-install (0.632) unstable; urgency=low

  * Finn-Arne Johansen
    - Improve readability of test for empty string in 85debian-edu.
    - Fixed Partitioning on several profiles, to make sure there is room
      on /usr. The goal is to have 15% free.
      (should at least be 10% to avoid fragmenting)
  * Joey Hess
    - Link the debian-edu-questions.templates file into the menu directory
      too, so it will work with the new base-config.
    - Change a few instances of Skolelinux to Debian-Edu. Many more remain..
  * Petter Reinholdtsen
    - Moved dhcpd restart workaround from 85debian-edu to
      debian-edu-restart-services in debian-edu-config.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jun 2004 13:07:51 -0400

debian-edu-install (0.631) unstable; urgency=low

  * Klaus Ade Johnstad
    - Fixed Syntax error: Unterminated quoted string
      introduced to fix Skolelinux bug #286, Debian bug 156332

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  3 Jun 2004 15:57:42 -0300
   

debian-edu-install (0.630) unstable; urgency=low

  * Finn-Arne Johansen
    - Readded patch to fix skolelinux bug #286, Debian bug 156332
  * Frederico Goncalves Guimaraes
    - Updated Brasilian Portugese debconf translation (pt_BR.po).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 May 2004 01:50:44 -0300

debian-edu-install (0.629) unstable; urgency=medium

  * Petter Reinholdtsen
    - Fix bug in jump_to().  Check for show-menu instead of menu, as the
      latter is included in this package, and thus available independend
      of the version of base-config.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 23:18:52 +0200

debian-edu-install (0.628) unstable; urgency=medium

  * Petter Reinholdtsen
    - Make it easier to enable/disable manual standalone installation.
    - Print debug output when looking for the package education-common.
    - Print debug output when jumping.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 22:57:47 +0200

debian-edu-install (0.627) unstable; urgency=low

  * Joey Hess
    - Turn off debconf in debian-edu-setup.mnu, the script accesses the DB
      directly for preseeding.
  * Petter Reinholdtsen
    - Increase the minimum /usr/ size when installing
      Main-server+LTSP-server by 32 MB to make sure more
      then 10% of the disk is available.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 May 2004 23:51:19 +0200

debian-edu-install (0.626) unstable; urgency=low

  * Joey Hess
    - Pass -n to dh_installdebconf for the udebs to avoid creating
      useless postrm scripts.
    - Add support for base-config 2.x, by populating
      /usr/lib/base-config/menu/, with .mnu files and with programs that are
      mostly links to the files used for older versions of base-config.
    - Add a jump_to function to debian-edu-common that jumps by name or
      number, depending on the base-config version.
  * Translations:
    - Updated fr.po from  Christian Perrier. (Closes: #246792)

 -- Joey Hess <joeyh@debian.org>  Fri,  7 May 2004 15:14:19 -0400

debian-edu-install (0.625) unstable; urgency=low

  * Finn-Arne Johansen
    - Removed special handling of standalone profile when it comes
      to partitioning

 -- Andreas Schuldei <andreas@debian.org>  Wed, 28 Apr 2004 19:41:51 +0200

debian-edu-install (0.624) unstable; urgency=low

  * Petter Reinholdtsen
    - Rename all files with 'skolelinux' in the name to use 'debian-edu'
      instead.
    - Depend on debian-edu-config (>= 0.380) to get a version where
      debian-edu is used consistently for all files.
  * Updated translations
    - Danish by Claus Hindsgaul. (Closes: #245772).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Apr 2004 20:07:46 +0200

debian-edu-install (0.623) unstable; urgency=low

  * Guillem Jover
    - Run debconf-updatepo.
    - Updated and fixed Catalan debconf translation (ca.po).
  * Bart Cornelis
    - Updated Dutch translation (nl.po)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Apr 2004 00:29:59 +0200

debian-edu-install (0.622) unstable; urgency=low

  * Only change the boot order of the pcmcia init.d script if it exist.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Apr 2004 00:13:48 +0200

debian-edu-install (0.621) unstable; urgency=low

  * Bart Cornelis
    - Added Low Saxon translation, thanx to Sven Kromminga.
  * Petter Reinholdtsen
    - Change how laptops (PCMCIA) is detected, to match the check used
      by d-i hw-detect.  Look for /proc/bus/pccard/drivers instead of
      /proc/bus/pccard/00/.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  1 Apr 2004 22:26:51 +0200

debian-edu-install (0.620) unstable; urgency=low

  * Frederico Goncalves Guimaraes
    - Updated Brasilian Portugese debconf translation (pt_BR.po).
  * Petter Reinholdtsen
    - Change the boot order of the pcmcia script from 20 to 11
      to make sure the network is enabled before the network
      services.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Mar 2004 17:06:56 +0100

debian-edu-install (0.619) unstable; urgency=low

  * Finn-Arne Johansen
    - Removed workaround for Skolelinux bug 286, as it seems to work
      with dhcp3-server
    - Added call to install kudzu-vesa to help set up vesafb.
  * Bart Cornelis
    - Add empty debconf translation file for Low Saxon, to be
      translated soon.
  * Petter Reinholdtsen
    - Replace debconf-load-defaults and debconf-save-answers with the
      implementation of debconf-set-selections and
      debconf-set-selections from debconf version 1.4.13.  This
      required adding the debconf template owner to the default files.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Mar 2004 21:57:27 +0100

debian-edu-install (0.618) unstable; urgency=low

  * Rune Nordbøe Skillingstad
    - Removed apache-fix-config (use cfengine instead).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Feb 2004 17:24:12 +0100

debian-edu-install (0.617) unstable; urgency=low

  * Petter Reinholdtsen


=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), ash
Standards-Version: 3.6.1

Package: debian-edu-install
Architecture: all
Depends: base-config (>= 1.69), debconf (>= 0.2.26), debian-edu-config (>= 0.380)
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Override base-config to install Skolelinux without questions.
 Provide default answers for packages using debconf, and configure
 services to work out of the box after installation.
 .
 This is part of the Debian Edu project,
 <URL:http://debian-edu.alioth.debian.org/>.

Package: debian-edu-profile-udeb
Architecture: all
Section: debian-installer
Depends: languagechooser, kbd-chooser
XB-Installer-Menu-Item: 17
Description: Choose Skolelinux profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Skolelinux project,
 <URL:http://debian-edu.alioth.debian.org/>.

Package: debian-edu-install-udeb
Architecture: all
Section: debian-installer
Depends: debian-edu-profile-udeb, autopartkit, bootable-system, prebaseconfig
XB-Installer-Menu-Item: 10
Description: Execute skolelinux debian-installer profile.
 Force the installer to choose the menu items we want to use in
 debian-installer.  This is done by making this package appear very
 early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Skolelinux project, 
 <URL:http://debian-edu.alioth.debian.org/>.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

PART_TABLES = \
	Main-Server+Thin-Client-Server.table \
	Main-Server+Workstation.table \
	Main-Server.table \
	Workstation+Thin-Client-Server.table \
	Workstation.table \
	Standalone.table \
	Standalone+Standalone-Extras.table

INSTALL      = install -m0755
INSTALL_DATA = install -m0644

PACKAGES=$(shell dh_listpackages)

INSTALLUDEB=debian-edu-install-udeb
PROFILEUDEB=debian-edu-profile-udeb
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=all
INSTALLUDEBFILENAME=$(INSTALLUDEB)_$(VERSION)_$(ARCH).udeb
REPORTBUGUDEBFILENAME=$(REPORTBUGUDEB)_$(VERSION)_$(ARCH).udeb
PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb

build:
# Nothing to do.

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install-common: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install-debian-edu-install: install-common
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install

.PHONY: install-debian-edu-profile-udeb
install-debian-edu-profile-udeb: install-common
	$(INSTALL) debian/debian-edu-profile-udeb.prebaseconfig $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/prebaseconfig.d/75debian-edu-profile-udeb
	$(INSTALL) autopartkit/20debian-edu $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/autopartkit.d/20debian-edu
	for table in $(PART_TABLES) ; do \
	    $(INSTALL_DATA) autopartkit/$$table \
	    $(CURDIR)/debian/debian-edu-profile-udeb/etc/autopartkit/$$table ; \
	done
	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm

# Build architecture-independent files here.
binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb

debian-edu-install-udeb: # install-debian-edu-install-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)

.PHONY: debian-edu-profile-udeb
debian-edu-profile-udeb: install-debian-edu-profile-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	# Make sure the autopartkit.d templates are normal files.  udpkg do
	# not understand conffiles at the moment.
	rm debian/$(PROFILEUDEB)/DEBIAN/conffiles
	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)

debian-edu-install: install-debian-edu-install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@

	# hack to get templates loaded
	mv $(CURDIR)/debian/debian-edu-install/DEBIAN/templates $(CURDIR)/debian/debian-edu-install/usr/lib/base-config/06debian-edu-questions.templates
	ln -sf ../06debian-edu-questions.templates $(CURDIR)/debian/debian-edu-install/usr/lib/base-config/menu/debian-edu-questions.templates

	dh_installdocs -p$@
	dh_installexamples -p$@
	dh_installmenu -p$@
	dh_installcron -p$@
	dh_installman -p$@
	dh_installinfo -p$@
	dh_installchangelogs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debian-edu-install 0.644

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Install file for Skolelinux debconf override package
+# Install file for Debian-Edu debconf override package
 #
 
 INSTALL     = install
@@ -17,9 +17,10 @@
 	21debian-edu-auto 25debian-edu-insert-cd \
 	60_avoid_pkgsel 65debian-edu-inst 76debian-edu-config \
 	85debian-edu 87debian-edu-check \
-	88debian-edu-reporterr 98debian-edu-startkdm
+	88debian-edu-reporterr 99zdebian-edu-reboot
 
 COMMON    = debian-edu-common
+INSTALLSCRIPT = debian-edu-lessdisks
 
 SBINFILES = \
 	debconf-load-defaults \
@@ -33,10 +34,10 @@
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \
-	standalone standalone-extras
+	standalone standalone-extras lessdisks-server lessdisks-xterminal
 
 all: check
-check: check-defaults check-scripts check-autopartkit
+check: check-scripts check-autopartkit # check-defaults
 
 install: 
 	for b in $(FRAGMENTS); do \
@@ -48,7 +49,10 @@
 	    fi; \
 	done
 	mkdir -p $(DESTDIR)/$(baseconfdir)/menu
-	cp base-config/menu/*.mnu $(DESTDIR)/$(baseconfdir)/menu
+	cp base-config/menu/*.mnu \
+		base-config/menu/debian-edu-inst \
+		base-config/menu/debian-edu-probe-cd \
+		$(DESTDIR)/$(baseconfdir)/menu
 	for lnk in base-config/menu/*.lnk; do \
 	    base=`basename $$lnk .lnk`; \
 	    ln -s `cat $$lnk` $(DESTDIR)/$(baseconfdir)/menu/$$base; \
@@ -58,6 +62,9 @@
 	done
 	for file in $(COMMON) ; do \
 	    $(INSTALL_DATA) base-config/$$file $(DESTDIR)$(pkglibdir)/; \
+	done
+	for file in $(INSTALLSCRIPT) ; do \
+	    $(INSTALL) base-config/$$file $(DESTDIR)$(pkglibdir)/; \
 	done
 	for fil in $(SBINFILES); do \
 	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
@@ -72,13 +79,17 @@
 	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
 	rm -f debian-edu-profile.templates
 
+# This check need write access to the debconf database.
 check-defaults:
 	for profile in $(DEFAULTS) ; do \
 	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
 	done
+
+# Check with small and large memory value, exit on failure
 check-autopartkit:
-	for f in autopartkit/*.table ;do \
-	    ./tools/autopartkit-check.pl $$f 256; \
+	set -x ; for f in autopartkit/*.table ;do \
+	    ./tools/autopartkit-check.pl $$f 64; \
+	    ./tools/autopartkit-check.pl $$f 2048; \
 	done
 
 # Detect typos in /bin/sh scripts
@@ -86,6 +97,11 @@
 	for script in $(SCRIPTS) ; do \
 		ash -n $$script ; \
 	done
+
+status:
+	( for f in debian/po/*.po; do \
+		echo -n $$f:; msgfmt --statistics $$f 2>&1 ; \
+	done ) | egrep 'fuzzy|untranslated'
 dist:
 	debuild -us -uc

=== debian/changelog ===
debian-edu-install (0.644) unstable; urgency=low

  * Petter Reinholdtsen
    - Add autopartkit/README explaining how to set the partition sizes.
    - Change the minimum sizes for Main-Server+Workstation to reflect
      the current disk usage.
    - Moved OpenAFS preseeding into default.networked, to enable it for
      both main-server, workstation and thin-client-server.
    - Disable moving of inittab.real, and only reboot if that file already
      is moved into place.
    - Rewrote/reorganise the no_NO/nb_NO workaround, getting it to
      actually detect the distribution name used.
  * Finn-Arne Johansen
    - reboot after installation is done Closes: #275029
    - Added preseeding and script for installing lessdisks from the CD
    - Made sure eth0 is set to autoload on everything but standalone
      (Fixes Skolelinux #869)
    - Added workaround for no_NO -> nb_NO on sarge
    - Added workaround for "/media/cdrom0" on woody (#285607)
    - Changed powerPC install to not use autopartkit
    - Replace /etc/inittab with /etc/inittab.real before reboot, or else
      baseconfig will rerun after reboot
    - Fixed broken OpenAFS preseeding for thinclientserver
  * Andreas Schuldei
    - Added OpenAFS preseeding

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Jan 2005 12:27:52 +0100

debian-edu-install (0.643) unstable; urgency=low

  * Joey Hess
    - If the standalone profile is used, set autopartkit/hide to true
      so manual partitioning is done. Closes: #275027
    - No longer drop priority for standalone profile installs.

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 17:18:00 -0400

debian-edu-install (0.642) unstable; urgency=low

  * Petter Reinholdtsen
    - Only enable nb_NO/no_NO workaround for woody installs.
    - Make symlink from /var/log/base-config.log to installer.log,
      documenting the new name of this log file.
  * Finn-Arne Johansen
    - Added debconf default for ifplugd on main-server
    - localization-config is now called by base-config in sarge
    - Standalone fails using autopartkit, should use manual partitioning
      (#27296 in BTS)
    - dont set "auto eth0" in interfaces on a standalone installation
    - Added more space on /opt (/) on Thin-client-servers (ltsp-4.1)
    - Tell squid to fix its cachedir ownership itself

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 16:29:00 -0400

debian-edu-install (0.641) unstable; urgency=high

  * Petter Reinholdtsen
    - Reinsert installation of education-tasks in
      menu/debian-edu-install, to make sure the tasksel tasks are
      available when asking tasksel to install them.
  * Translations
    - Norwegian Nynorsk updated by Håvard Korsvoll.
  * High urgency to get this version into testing in time.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 28 Aug 2004 18:04:37 +0200

debian-edu-install (0.640) unstable; urgency=medium

  * Translations
    - Czech added by Miroslav Kure (Closes: #265581)
    - Dutch updated by Bart Cornelis.
    - Norwegian Bokmaal updated by Petter Reinholdtsen.
    - Danish updated by Claus Hindsgaul.  (Closes: #265825)
    - French updated by Christian Perrier.  (Closes: #265841)
    - Brazilian Portuguese updated by Frederico Goncalves Guimaraes.
    - Greek updated by Konstantinos Margaritis.
    - Turkish updated by Recai Oktas.
    - Latvian update by Aigars Mahinovs.
    - Japanese update by Kenshi Muto.
    - Swedish update by Per Olofsson.
    - Catalan update by Guillem Jover.
    - Polish update by Bartosz Fenski.
  * Medium urgency to get last version to testing in time.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Aug 2004 08:12:37 +0100

debian-edu-install (0.639) unstable; urgency=low

  * Joey Hess
    - Fix behavior with missing CD.
    - Change a few more instances of Skolelinux to Debian-Edu.
    - Fix new-mode jump_to, it needs to exit the calling program still.
    - Remove set -x from debconf-set-frontend, the verbosity was hiding real
      error messages.
  * Translations:
    - Added Japanese translation from Kenshi Muto. (Closes: #265023)
    - Added  Swedish translation from Per Olofsson.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Aug 2004 12:54:34 -0300

debian-edu-install (0.638) unstable; urgency=low

  * Joey Hess
    - Add some error handling.
    - Meta-package education-tasks is pulled in automatically
      now by dependencies.
  * Translations:
    - Added Swedish translation by Per Olofsson.
    - Updated Polish translation by Bartosz Fenski.
    - Added Turkish translation by Recai Oktas.
  * Added Finish translations done by Ville Pohjanheimo
    <vpohjanheimo@hotmail.com>

 -- Klaus Ade Johnstad <klaus@skolelinux.no>  Mon,  9 Aug 2004 21:37:52 +0200

debian-edu-install (0.637) unstable; urgency=low

  * Petter Reinholdtsen
    - Add workaround in debian-edu-profile-udeb.prebaseconfig to
      rewrite nb_NO locale names to no_NO.  Only the latter is
      available in Woody, and we want this package to work in both
      Sarge and Woody.
    - Correct default boolean template value from 'yes' to 'true'.
  * Joey Hess
    - Remove debian-edu-apt-get, instead sarge install uses tasksel to
      install tasks with no queueing.
    - Apt-install the new education-tasks.
  * Translations:
    - Updated fr.po from Julien Valroff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Jul 2004 17:39:10 +0200

debian-edu-install (0.636) unstable; urgency=low

  * Petter Reinholdtsen
    - Improve nb translation.
  * Claus Hindsgaul
    - Updated Danish translation.
  * Maximilian Wilhelm
    - Updated German translation.
  * Bart Cornelis
    - Updated Dutch translation.
  * Bartosz Fenski
    - Added Polish translation.
  * Håvard Korsvoll
    - Updated Norwegian nynorsk (nn).
  * Klaus Ade Johnstad
    - Updated Norwegian Bokmaal (nb) translation.
    - Added info about impossible profile combinations.
  * Joey Hess
    - Preseed apt-setup/cd/another so it is not asked in sarge install.


=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Replaces: base-config-skolelinux
 Provides: base-config-skolelinux
 Conflicts: base-config-skolelinux (<= 0.557)
-Description: Override base-config to install Skolelinux without questions.
+Description: Override base-config to install Debian-Edu without questions.
  Provide default answers for packages using debconf, and configure
  services to work out of the box after installation.
  .
@@ -24,10 +24,10 @@
 Section: debian-installer
 Depends: languagechooser, kbd-chooser
 XB-Installer-Menu-Item: 17
-Description: Choose Skolelinux profile
+Description: Choose Debian-Edu profile
  This package provides a profile chooser for the Debian installer.
  .
- This is part of the Skolelinux project,
+ This is part of the Debian-Edu project,
  <URL:http://debian-edu.alioth.debian.org/>.
 
 Package: debian-edu-install-udeb
@@ -35,11 +35,11 @@
 Section: debian-installer
 Depends: debian-edu-profile-udeb, autopartkit, bootable-system, prebaseconfig
 XB-Installer-Menu-Item: 10
-Description: Execute skolelinux debian-installer profile.
+Description: Execute Debian-Edu debian-installer profile.
  Force the installer to choose the menu items we want to use in
  debian-installer.  This is done by making this package appear very
  early in the menu, and depending on the required packages in
  sequence.
  .
- This is part of the Skolelinux project, 
+ This is part of the Debian-Edu project, 
  <URL:http://debian-edu.alioth.debian.org/>.

## debian-edu-install 0.646

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	88debian-edu-reporterr 99zdebian-edu-reboot
 
 COMMON    = debian-edu-common
-INSTALLSCRIPT = debian-edu-lessdisks
+INSTALLSCRIPT = debian-edu-lessdisks debian-edu-winbind
 
 SBINFILES = \
 	debconf-load-defaults \

=== debian/changelog ===
debian-edu-install (0.646) unstable; urgency=low

  * Finn-Arne Johansen
    - Added install/configure script for setting up for winbind
      authentication
    - Dont restart services when installing lessdisks workstation
    - Better debconf preeseding for lessdisks workstation
    - Fixed kdm setup in lessdisks chroot
    - Added better resolv.conf for the lessdisks client
    - Create homedir for the winbind client
    - use existing root account password for lessdisks-chroot
    - fix locale no_NO -> nb_NO in /etc/debian-edu/config
    - make sure debian-installer remember if we changed locale from no_NO to
      nb_NO
  * Petter Reinholdtsen
    - Enable code to call locale-gen if the locale name was changed from
      no_NO to nb_NO.
  * Guillem Jover
    - Fixed the same typo in the other debian-edu-install/profile template
      thus coalescing both msgids in the .po files.
    - Updated .po files.
  * Fixed typo in templates noticed by Recai Oktas, and do so without
    fuzzing translations. (Closes: #296164)
  * Translations
    - Updated Swedish by Per Olofsson. (Closes: #296098)
    - Updated French by Christian Perrier. (Closes: #293373)
    - Updated Danish by Claus Hindsgaul.
    - Updated Greek by Konstantinos Margaritis.
    - Updated Dutch by Bart Cornelis.
    - Updated Japanese by Kenshi Muto. (Closes: #296095)
    - Updated Catalan by Guillem Jover.
    - Updated Turkish by Recai Oktas. (Closes: #296160)
    - Updated Czech by Mirislav Cure. (Closes: #296267)
    - Updated Polish by Bartosz Fenski. (Closes: #296833)
    - Updated German by Michael Koch.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Feb 2005 18:10:45 +0100

debian-edu-install (0.645) unstable; urgency=low

  * Petter Reinholdtsen
    - Remove redudant call to exit in base-config/25debian-edu-insert-cd.
    - Correct choice entries for nds translation.  Changing non-breaking
      space to normal space.
    - Reduce space requirement for Main-server and
      Main-Server+Thin-Client-Server.
    - Fixed typo in English template and update .po files.
  * Maximilian Wilhelm
    - Updated german translation.
  * Finn-Arne Johansen
    - Improved installation for lessdisks, including XF86 config generation
      on the fly.
    - Create and export partitions for lessdisks when installed.
    - Create a menu for choosing between lessdisks and ltsp.
    - Made sure that all profiles except standalone has "auto eth0".
    - Install gdm in the lessdisks-chroot, workaround for KDEBUG #96772.
    - Set up XTerminals using lessdisks and xdebconfigurator instead
      of ltsp.
    - Fix broken pxelinux.xfg header when extending with lessdisks in
      the menu.
    - Smaller disksize requirements for xterminal.
    - Make sure xdebconfigurator is installed on xterm.
  * Translations
    - Updated Spanish by Pablo Pita Leira.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Jan 2005 16:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -43,3 +43,4 @@
  .
  This is part of the Debian-Edu project, 
  <URL:http://debian-edu.alioth.debian.org/>.
+

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb
 
 build:
-# Nothing to do.
+	$(MAKE)
 
 clean:
 	dh_testdir
@@ -94,10 +94,6 @@
 	dh_testroot -p$@
 	dh_installdebconf -p$@
 
-	# hack to get templates loaded
-	mv $(CURDIR)/debian/debian-edu-install/DEBIAN/templates $(CURDIR)/debian/debian-edu-install/usr/lib/base-config/06debian-edu-questions.templates
-	ln -sf ../06debian-edu-questions.templates $(CURDIR)/debian/debian-edu-install/usr/lib/base-config/menu/debian-edu-questions.templates
-
 	dh_installdocs -p$@
 	dh_installexamples -p$@
 	dh_installmenu -p$@

## debian-edu-install 0.648

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	88debian-edu-reporterr 99zdebian-edu-reboot
 
 COMMON    = debian-edu-common
-INSTALLSCRIPT = debian-edu-lessdisks debian-edu-winbind
+INSTALLSCRIPT =  debian-edu-winbind
 
 SBINFILES = \
 	debconf-load-defaults \
@@ -34,7 +34,7 @@
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \
-	standalone standalone-extras lessdisks-server lessdisks-xterminal
+	standalone standalone-extras lessdisks
 
 all: check
 check: check-scripts check-autopartkit # check-defaults

=== debian/changelog ===
debian-edu-install (0.648) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change tftp directory from /tftpboot/ to /var/lib/tftpboot/,
    to be compatible with new LTSP.
  * Update /usr/ disk size for Main-Server+Workstation from 1440 to
    1750, to avoid running out of disk space with the current set of
    packages.
  * Translations
    - Last Portoguese update was translated by Eduardo Silva, not
      Miguel Figueiredo.

  [ Bart Cornelis ]
    - Updated Spanish by Pablo Pita Leira. (Closes: #329849)
    - Updated Dutch by Bart Cornelis.

  [ Finn-Arne Johansen ]
  * try to prettify the output of report-edu-reporterr
  * prepared for resolvconf inclusion on the main-server

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Nov 2005 23:15:34 +0100

debian-edu-install (0.647) unstable; urgency=low

  * Finn-Arne Johansen
    - Set up config file for bind on main-server before bind is installed
      (Workaround for #275024. Closes: #257934)
    - Disable root account logins to lessdisks chroot
    - Added more variables to configure winbind authentication
    - Set courier webadmin to false (will hopefully prevent questions
      on upgrades)
    - Now autopartkit handles lvm2, only use partman for standalone
      install
    - Add mousedev for 2.6-kernels, and prepare yenta-socket for laptop.
    - Disabled devfsd for 2.6 kernels, made sure udev is installed
    - update lessdisks configuration
    - Added hacks to make it possible to netinstall
    - Detected non-running debian-edu-config during base-config for
      french install. Could happen for other languages to. thanks to
      Frederic Renet, Arnaud Hocevar and 'kernelsensei' for spotting this.
      (Closes slx #955, triggered by base-config bug #321638)
  * Joey Hess
    - Add debconf-2.0 alternate dependency.
  * Petter Reinholdtsen
    - Fix minor typos in debug output from base-config/menu/debian-edu-inst.
    - Fix two typos in the english template text.  (Closes: #310209)
    - Updated Standards-Version to 3.6.2.
  * Translations
    - Added Portoguese by Miguel Figueiredo. (Closes: #315464)
    - Added Vietnamese by Clytie Siddall. (Closes: #310207)
    - Updated German by Jens Seidel. (Closes: #313684)
    - Updated Catalan by Guillem Jover.
    - Updated Portoguese by Eduardo Silva.
    - Updated German by Maximilian Wilhelm.
    - Updated Danish by Claus Hindsgaul.
    - Updated Norwegian bokmaal and nynorsk by Gaute Hvoslef Kvalnes.
    - Updated Polish by Bartosz Fenski. (Closes: #322080)
    - Updated French by Julien Valroff. (Closes: #322121)
    - Updated Japanese by Kenshi Muto. (Closes: #323700)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  7 Sep 2005 18:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>
 Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), ash
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: debian-edu-install
 Architecture: all
-Depends: base-config (>= 1.69), debconf (>= 0.2.26), debian-edu-config (>= 0.380)
+Depends: base-config (>= 1.69), debconf (>= 0.2.26) | debconf-2.0, debian-edu-config (>= 0.380)
 Replaces: base-config-skolelinux
 Provides: base-config-skolelinux
 Conflicts: base-config-skolelinux (<= 0.557)

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb
 
 debian-edu-install-udeb: # install-debian-edu-install-udeb
+	$(INSTALL) debian/debian-edu-install-udeb.prebaseconfig $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/prebaseconfig.d/07debian-edu-install-udeb
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_installdebconf -p$@ -n

## debian-edu-install 0.650

=== Makefile ===
--- 
+++ 
@@ -95,7 +95,7 @@
 # Detect typos in /bin/sh scripts
 check-scripts:
 	for script in $(SCRIPTS) ; do \
-		ash -n $$script ; \
+		dash -n $$script ; \
 	done
 
 status:

=== debian/changelog ===
debian-edu-install (0.650) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * Removed dependency on base-config, as it's scheduled for removal
    (this leaves the package partly broken, but still with some usefull
     code. A new version will be uploaded to restore functionality)
  * ash is replaced with package dash
  * removed dependency to autopartkit (see #358834)
  * Moved the profile chooser later in the menu, to make it easier to
    do netbased installation.
  * Added more dependencies for the installer-udeb
  * Add local packages if availble from main installation source,
  * Make the education-tasks availible for the installer
  * Added generator for adding ftp.no.debian.org as an apt-source,
    if a mirror was entered manually during installation
  * Removed special handling of the standalone partitioning
  * Added script to preseed target between base-installer and pkgsel
  * Disabled creation of a local user for the networked profiles
  * Dont ask if system clock should be utc on a networked profile
  * added preseeding defaults into udeb, to make them availible
    earlier in the process
  * set the dns-search domain for the loopback interface, then there is
    a better chance for the installation to work if people change eth0
    on a main-server
  * Pressed libnss-ldap with sane values
  * Depend on the debian laptop task if this is found to be a laptop
  * Added preseeding to make the infoscreen about nsswitch go away
  * Added more preseeding to get the installation done without to much
    user interaction
  * Added Partman scheme for Debian-Edu Main-server
    (first try, disabled for now)
  * Run cfengine at the end of the installation
  * Let resolvconf handle resolv.conf, it does a better job at it
  * Set debconf priority to critical
  * Copy in archive.gpg keyring from installer as trusted.gpg in target
  * Needed to add local packages after debootstrap is run, but before
    queued packages are installed, and then again during apt-setup because
    the old sources.list is rewritten

  [ Petter Reinholdtsen ]
  * Flag multiselect choice translation for Latvian and Vietnamese
    translations with comma in the text as fuzzy, as this is illegal
    in a debconf choice.

  [ Translations ]
  * Updated French by Julien Valroff (Closes: #352855)
  * Updated Spanish by Patrice Neff.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Apr 2006 22:30:15 +0200

debian-edu-install (0.649) unstable; urgency=low

  [ Steffen Joeris ]
  * Delete the Standalone Extra profile, because the standalone
    profile is enough (Closes: #275026)
  * Deleted duplicate line in autopartkit/20debian-edu (typo?)
  * Updated german translation
  * Updated italien translation by Joe Scaramucci.
  * Add german translation for Barebone profile

  [ Petter Reinholdtsen ]
  * Update autopartkit/README to improve documentation on how to
    calculate the minimum partition sizes.
  * Update minimum /usr/ disk size for Main-Server+Thin-Client-Server
    from 1676 to 1984, to avoid running out of disk space with the
    current set of packages.
  * Change the profile question text based on suggestions from
    Maximilian Wilhelm.  (Closes: #321697)
  * If we are going to change the profile list and invalidate complete
    translations, split it into separately translatable words.
  * Move call to 'eject' to after the cfengine run, to make sure the
    CD is available when LTSP is installed.
  * Make sure profile question templates (debian-edu-install.templates
    and debian-edu-profile-udeb.templates) used in deb and udeb are
    identical.

  [ Finn-Arne Johansen ]
  * Updated root partition sizes for thin client servers, because of the
    new ltsp
  * Made code test for expert installation in debian-edu-profile not
    break the installation
  * Added localhost.localdomain for 127.0.0.1 in /etc/hosts, to prevent
    cfengine2 from choking on missing domainname (Closes Skolelinux #1039)

  [ Morten Werner Olsen and Steffen Joeris ]
  * included barebone profile (see #275028)
     - added an autopartkit-table for the barebone profile.
     - added Barebone-profile to base-config/07debian-edu to specify that
       we want network.default for it
     - modified base-config/65debian-edu-inst to install education-networked
       for this profile
     - wrote new debconf question for barebone profile
     - added profile-debconfquestion
     - Barebone profile only available in "debian-edu-expert" mode

  [ Morten Werner Olsen ]
  * Added myself as uploader.
  * Updated debian/po/* after Steffen's new debconf templates for barebone.
  * Added dependency on cdebconf-udeb for debian-edu-install-udeb.
  * Removed the "." in the short package description for all packages in
    debian/control.
  * Added a debian/debian-edu-install.lintian-override.

  [ Translations ]
  * Updated Catalan by Guillem Jover.
  * Updated Czech by Miroslav Kure. (Closes: #341294, #351767)
  * Updated Danish by Claus Hindsgaul. (Closes: #351757)
  * Updated Dutch by Bart Cornelis.
  * Updated German by Maximilian Wilhelm.
  * Updated Greek by Konstantinos Margaritis and Emmanuel Galatoulas.
  * Updated Japanese by Kenshi Muto. (Closes: #341528, #346031)
  * Updated Latvian by Aigars Mahinovs.
  * Updated Northern Saami by Børre Gaup.
  * Updated Norwegian bokmaal by Axel Boyer.
  * Updated Norwegian nynorsk by Gaute Hvoslef Kvalnes.
  * Updated Polish by Bartosz Fenski.
  * Updated Swedish by Daniel Nylander. (Closes: #344250)
  * Updated Turkish by Recai Oktas. (Closes: #341268)
  * Updated Vietnamese by Clytie Siddall. (Closes: #342107)

 -- Morten Werner Olsen <werner@debian.org>  Sat, 11 Feb 2006 02:35:50 +0100

=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), dash
Standards-Version: 3.6.2

Package: debian-edu-install
Architecture: all
Depends: debconf (>= 0.2.26) | debconf-2.0, debian-edu-config (>= 0.380)
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Override base-config to install Debian-Edu without questions
 Provide default answers for packages using debconf, and configure
 services to work out of the box after installation.
 .
 This is part of the Debian Edu project,
 <URL:http://debian-edu.alioth.debian.org/>.

Package: debian-edu-profile-udeb
Architecture: all
Section: debian-installer
Depends: languagechooser, kbd-chooser
XB-Installer-Menu-Item: 24
Description: Choose Debian-Edu profile
 This package provides a profile chooser for the Debian installer
 .
 This is part of the Debian-Edu project,
 <URL:http://debian-edu.alioth.debian.org/>.

Package: debian-edu-install-udeb
Architecture: all
Section: debian-installer
Depends: debian-edu-profile-udeb, clock-setup, tzsetup-udeb, user-setup-udeb, base-installer, pkgsel, bootable-system, cdebconf-udeb, prebaseconfig
XB-Installer-Menu-Item: 10
Description: Execute Debian-Edu debian-installer profile
 Force the installer to choose the menu items we want to use in
 debian-installer.  This is done by making this package appear very
 early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian-Edu project, 
 <URL:http://debian-edu.alioth.debian.org/>.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,11 @@
 	Workstation+Thin-Client-Server.table \
 	Workstation.table \
 	Standalone.table \
-	Standalone+Standalone-Extras.table
+	Barebone.table
+
+DEFAULTS = \
+	common networked main-server workstation thin-client-server \
+	standalone standalone-extras lessdisks
 
 INSTALL      = install -m0755
 INSTALL_DATA = install -m0644
@@ -48,6 +52,7 @@
 
 install-debian-edu-install: install-common
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
+	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
 
 .PHONY: install-debian-edu-profile-udeb
 install-debian-edu-profile-udeb: install-common
@@ -65,6 +70,14 @@
 
 debian-edu-install-udeb: # install-debian-edu-install-udeb
 	$(INSTALL) debian/debian-edu-install-udeb.prebaseconfig $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/prebaseconfig.d/07debian-edu-install-udeb
+	$(INSTALL) debian-edu-preseed $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/post-base-installer.d/10debian-edu-preseed
+	$(INSTALL) debian-edu-aptkey-setup $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/base-installer.d/99debian-edu-aptkey-setup
+	$(INSTALL) debian-edu-add_local_apt $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/post-base-installer.d/90debian-edu-add_local_apt
+	$(INSTALL) apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/apt-setup/generators/70debian-edu-install
+	for profile in $(DEFAULTS) ; do \
+	    $(INSTALL_DATA) base-config/defaults.$$profile $(CURDIR)/debian/debian-edu-install-udeb/usr/lib/debian-edu-install ; \
+	done
+	#$(INSTALL_DATA) lib/partman/recipes/10-debian-edu-main $(CURDIR)/debian/debian-edu-install-udeb/lib/partman/recipes
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_installdebconf -p$@ -n
